Bug 237714 - Firefox mishandles link, creates evil window, and kills self
Firefox mishandles link, creates evil window, and kills self
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Depends On:
  Show dependency treegraph
Reported: 2007-04-24 17:58 EDT by Rod Nayfield
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-14 08:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 339251 None None None Never

  None (edit)
Description Rod Nayfield 2007-04-24 17:58:22 EDT
Description of problem:

When in the middle of using firefox, sometimes a new toolbar-less window is
opened to display content.  Closing this window closes all firefox windows.  (I
think it is crashing firefox without any warning / bug buddy)

Version-Release number of selected component (if applicable):

firefox- but I have seen this on previous versions

How reproducible:


Steps to Reproduce:
1. Browse web for a while

Since everyone is different, I'd like to point out that I have Gmail open in my
first tab and usually 5-20 tabs open at once.  

Actual results:

Clicking on a link that normally would just be followed causes the link to
render in a new external window, which does not have any toolbars or scrollbars.
 Closing this window immediately exits all firefox windows.  The only solution
here is to go back to the original firefox window and close the broken tab. 
That closes the 'evil window'.

However once it happens, you really need to start exiting as it will happen
again very shortly until you quit the browser and restart.

Expected results:

Should work.

Additional info:

Posting this because I am desperate.  This is really really annoying, especially
to anybody who opens tabs to read later - since EVERYTHING is lost when you
close the evil window.

I am hoping that lazyweb, upstream, and/or component owner has seen this before,
Comment 2 Matěj Cepl 2007-05-14 08:05:34 EDT
OK, I haven't heard from any other Fedora/Red Hat user about this, so I have to
close this as it appears to be unreproducible. Closing as UPSTREAM against
Mozilla bug https://bugzilla.mozilla.org/show_bug.cgi?id=339251

Note You need to log in before you can comment on or make changes to this bug.